<?xml version="1.0" encoding="UTF-8"?>
<allowedAlarms xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.allowedalarms.laser.extendedconfig.plugins.unicos.cern.ch.research" xsi:schemaLocation="http://www.allowedalarms.laser.extendedconfig.plugins.unicos.cern.ch.research">
	<allowedAlarm>
		<deviceType>DigitalInput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField>#SCADADeviceAlarms:Binary State:Alarm On State#</specsAlarmField>
		<alarmRangesDefinitions>
			<alarmRangeDefinition alarmOnState="false">
				<alarmRanges>
					<alarmRange value="1">
						<message>Ok</message>
					</alarmRange>
					<alarmRange value="0">
						<message>#SCADADeviceAlarms:Message#</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
			<alarmRangeDefinition alarmOnState="true">
				<alarmRanges>
					<alarmRange value="1">
						<message>#SCADADeviceAlarms:Message#</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
			<alarmRangeDefinition alarmOnState="">
				<alarmRanges>
					<alarmRange value="1">
						<message>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</message>
						<state>ACTIVE</state>
					</alarmRange>
					<alarmRange value="0">
						<message>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</message>
						<state>TERMINATE</state>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>DigitalOutput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField>#SCADADeviceAlarms:Binary State:Alarm On State#</specsAlarmField>
		<alarmRangesDefinitions>
			<alarmRangeDefinition alarmOnState="false">
				<alarmRanges>
					<alarmRange value="1">
						<message>Ok</message>
					</alarmRange>
					<alarmRange value="0">
						<message>#SCADADeviceAlarms:Message#</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
			<alarmRangeDefinition alarmOnState="true">
				<alarmRanges>
					<alarmRange value="1">
						<message>#SCADADeviceAlarms:Message#</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
			<alarmRangeDefinition alarmOnState="">
				<alarmRanges>
					<alarmRange value="1">
						<message>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</message>
						<state>ACTIVE</state>
					</alarmRange>
					<alarmRange value="0">
						<message>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</message>
						<state>TERMINATE</state>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>	
	<allowedAlarm>
		<deviceType>DigitalParameter</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>#DeviceDocumentation:Description#</message>
						<state>ACTIVE</state>
					</alarmRange>
					<alarmRange value="0">
						<message>#DeviceDocumentation:Description#</message>
						<state>TERMINATE</state>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>OnOff</deviceType>
		<elementName>FEDeviceOutputs.StartISt</elementName>
		<namePrefix/>
		<namePostfix>.StartISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>OnOff</deviceType>
		<elementName>FEDeviceOutputs.TStopISt</elementName>
		<namePrefix/>
		<namePostfix>.TStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>OnOff</deviceType>
		<elementName>FEDeviceOutputs.FuStopISt</elementName>
		<namePrefix/>
		<namePostfix>.FuStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.StartISt</elementName>
		<namePrefix/>
		<namePostfix>.StartISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.TStopISt</elementName>
		<namePrefix/>
		<namePostfix>.TStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.FuStopISt</elementName>
		<namePrefix/>
		<namePostfix>.FuStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.StartISt</elementName>
		<namePrefix/>
		<namePostfix>.StartISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.TStopISt</elementName>
		<namePrefix/>
		<namePostfix>.TStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.FuStopISt</elementName>
		<namePrefix/>
		<namePostfix>.FuStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>ProcessControlObject</deviceType>
		<elementName>FEDeviceOutputs.StartISt</elementName>
		<namePrefix/>
		<namePostfix>.StartISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>ProcessControlObject</deviceType>
		<elementName>FEDeviceOutputs.TStopISt</elementName>
		<namePrefix/>
		<namePostfix>.TStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>ProcessControlObject</deviceType>
		<elementName>FEDeviceOutputs.FuStopISt</elementName>
		<namePrefix/>
		<namePostfix>.FuStopISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>Local</deviceType>
		<elementName>FEDeviceOutputs.PosAlSt</elementName>
		<namePrefix/>
		<namePostfix>.PosAlSt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>DigitalAlarm</deviceType>
		<elementName>FEDeviceOutputs.ISt</elementName>
		<namePrefix/>
		<namePostfix>.ISt</namePostfix>
		<alarmType>BOOLEAN</alarmType>
		<specsAlarmField/>
		<alarmRangesDefinitions>
			<alarmRangeDefinition>
				<alarmRanges>
					<alarmRange value="1">
						<message>Bad</message>
					</alarmRange>
					<alarmRange value="0">
						<message>Ok</message>
					</alarmRange>
				</alarmRanges>
			</alarmRangeDefinition>
		</alarmRangesDefinitions>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogAlarm</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>FLOAT</alarmType>
		<alarmRanges>
			<alarmRange value="5">
				<specsAlarmField>#FEDeviceManualRequests:HH Alarm#</specsAlarmField>
				<message>HH - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="4">
				<specsAlarmField>#FEDeviceManualRequests:H Warning#</specsAlarmField>
				<message>H - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="3" alarmOffRange="true">
				<specsAlarmField/>
				<message>Ok</message>
			</alarmRange>
			<alarmRange value="2">
				<specsAlarmField>#FEDeviceManualRequests:L Warning#</specsAlarmField>
				<message>L - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="1">
				<specsAlarmField>#FEDeviceManualRequests:LL Alarm#</specsAlarmField>
				<message>LL - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
		</alarmRanges>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogInput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>FLOAT</alarmType>
		<alarmRanges>
			<alarmRange value="5">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:HH Alarm#</specsAlarmField>
				<message>HH - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="4">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:H Warning#</specsAlarmField>
				<message>H - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="3" alarmOffRange="true">
				<specsAlarmField/>
				<message>Ok</message>
			</alarmRange>
			<alarmRange value="2">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:L Warning#</specsAlarmField>
				<message>L - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="1">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:LL Alarm#</specsAlarmField>
				<message>LL - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
		</alarmRanges>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogInputReal</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>FLOAT</alarmType>
		<alarmRanges>
			<alarmRange value="5">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:HH Alarm#</specsAlarmField>
				<message>HH - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="4">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:H Warning#</specsAlarmField>
				<message>H - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="3" alarmOffRange="true">
				<specsAlarmField/>
				<message>Ok</message>
			</alarmRange>
			<alarmRange value="2">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:L Warning#</specsAlarmField>
				<message>L - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="1">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:LL Alarm#</specsAlarmField>
				<message>LL - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
		</alarmRanges>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogOutput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>FLOAT</alarmType>
		<alarmRanges>
			<alarmRange value="5">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:HH Alarm#</specsAlarmField>
				<message>HH - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="4">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:H Warning#</specsAlarmField>
				<message>H - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="3" alarmOffRange="true">
				<specsAlarmField/>
				<message>Ok</message>
			</alarmRange>
			<alarmRange value="2">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:L Warning#</specsAlarmField>
				<message>L - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="1">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:LL Alarm#</specsAlarmField>
				<message>LL - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
		</alarmRanges>
	</allowedAlarm>
	<allowedAlarm>
		<deviceType>AnalogOutputReal</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix/>
		<namePostfix>.PosSt</namePostfix>
		<alarmType>FLOAT</alarmType>
		<alarmRanges>
			<alarmRange value="5">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:HH Alarm#</specsAlarmField>
				<message>HH - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="4">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:H Warning#</specsAlarmField>
				<message>H - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="3" alarmOffRange="true">
				<specsAlarmField/>
				<message>Ok</message>
			</alarmRange>
			<alarmRange value="2">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:L Warning#</specsAlarmField>
				<message>L - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
			<alarmRange value="1">
				<specsAlarmField>#SCADADeviceAlarms:Analog Thresholds:LL Alarm#</specsAlarmField>
				<message>LL - #SCADADeviceAlarms:Message#</message>
			</alarmRange>
		</alarmRanges>
	</allowedAlarm>
</allowedAlarms>
